Bug 21003 - Don't show warning when editing a reserve item
Summary: Don't show warning when editing a reserve item
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Hayley Mapley
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-26 20:58 UTC by Katrin Fischer
Modified: 2019-10-14 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 21003: Removed warning and changed wording on add_items-step2.tt (7.20 KB, patch)
2019-03-07 03:08 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt (2.40 KB, patch)
2019-03-07 20:32 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt (2.45 KB, patch)
2019-03-17 09:15 UTC, Devinim
Details | Diff | Splinter Review
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt (2.49 KB, patch)
2019-03-22 20:21 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 21003: Removed warning and changed wording on add_items-step2.tt (7.26 KB, patch)
2019-03-31 20:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt (2.55 KB, patch)
2019-03-31 20:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-06-26 20:58:31 UTC
When editing an item in a course reserve, the following message always displays:

This course already has this item on reserve.

This appears out of place and should not display on edting.
Comment 1 Hayley Mapley 2019-03-07 03:08:55 UTC
Created attachment 86219 [details] [review]
Bug 21003: Removed warning and changed wording on add_items-step2.tt

When editing an item in a Course Reserve, the page displayed is the same
that is displayed when adding an item to a Course Reserve. This patch
removes the warning 'This course already has this item on reserve' when
the item is being edited, as well as changes the title, breadcrumbs, and
header of the div. This patch also Changes the header of the div to say
'Edit 'book_name' in 'course_name'' instead of 'Add 'book_name' to
'course_name'' when adding items to a course reserve if the item is
already present.

To test:
1) Create a new course in Course Reserves (you will need Course
    Reserves enabled in syspref)
2) Add an item by clicking the Add reserves button
3) Click the edit button on the right hand side of the item listing
under the Reserves heading
4) Observe that the warning 'The course already has this item on reserve' appears, and that the title, breadcrumbs and
header of the div all say Add/Reserve
5) Apply the patch
6) Repeat step 3 and observe that the title, breadcrumbs and header of
the div now say Edit
7) Also verify that when adding a reserve with a barcode that does not
yet exist in the course reserves that the warning 'The course already...' is not displayed and that the header of the div says Add
8) Finally verify that when adding a reserve with a barcode that DOES
exist in the course reserves that the warning 'The course already...' IS
displayed and the header of the div says Edit
9) Sign off!
Comment 2 Owen Leonard 2019-03-07 19:41:45 UTC
> 8) Finally verify that when adding a reserve with a barcode that DOES
> exist in the course reserves that the warning 'The course already...' IS
> displayed and the header of the div says Edit

At this step I notice some inconsistency: The page title is "Course reserves >Add items" but the <legend> uses "Edit."

Also note the missing space before "Add" in the page title.
Comment 3 Hayley Mapley 2019-03-07 20:18:06 UTC
Hi,
The reason for this is that I figured that if someone wanted to add a book into the course reserves that already existed that we would want them to know that they are actually editing the item rather than adding it, but also that they are in the same place as they were trying to get to (in reference to the breadcrumbs, and title). This was intentional, however I will change it if you think it is better in this case to have all keywords as Edit instead of Add in this case.
Comment 4 Hayley Mapley 2019-03-07 20:32:23 UTC
Created attachment 86330 [details] [review]
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt

When adding a course reserve with a barcode that already exists, the
title, breadcrumbs, and legend of the form all specify that the user is
editing, and not adding, the book.

Test plan:
Same as comment 1
Comment 5 Devinim 2019-03-17 09:15:53 UTC
Created attachment 86708 [details] [review]
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt

When adding a course reserve with a barcode that already exists, the
title, breadcrumbs, and legend of the form all specify that the user is
editing, and not adding, the book.

Test plan:
Same as comment 1

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Comment 6 Bin Wen 2019-03-22 20:21:04 UTC
Created attachment 86930 [details] [review]
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt

When adding a course reserve with a barcode that already exists, the
title, breadcrumbs, and legend of the form all specify that the user is
editing, and not adding, the book.

Test plan:
Same as comment 1

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 7 Katrin Fischer 2019-03-31 20:18:37 UTC
Created attachment 87246 [details] [review]
Bug 21003: Removed warning and changed wording on add_items-step2.tt

When editing an item in a Course Reserve, the page displayed is the same
that is displayed when adding an item to a Course Reserve. This patch
removes the warning 'This course already has this item on reserve' when
the item is being edited, as well as changes the title, breadcrumbs, and
header of the div. This patch also Changes the header of the div to say
'Edit 'book_name' in 'course_name'' instead of 'Add 'book_name' to
'course_name'' when adding items to a course reserve if the item is
already present.

To test:
1) Create a new course in Course Reserves (you will need Course
    Reserves enabled in syspref)
2) Add an item by clicking the Add reserves button
3) Click the edit button on the right hand side of the item listing
under the Reserves heading
4) Observe that the warning 'The course already has this item on reserve' appears, and that the title, breadcrumbs and
header of the div all say Add/Reserve
5) Apply the patch
6) Repeat step 3 and observe that the title, breadcrumbs and header of
the div now say Edit
7) Also verify that when adding a reserve with a barcode that does not
yet exist in the course reserves that the warning 'The course already...' is not displayed and that the header of the div says Add
8) Finally verify that when adding a reserve with a barcode that DOES
exist in the course reserves that the warning 'The course already...' IS
displayed and the header of the div says Edit
9) Sign off!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2019-03-31 20:18:41 UTC
Created attachment 87247 [details] [review]
Bug 21003: Made Edit keywords more consistent in add_items-step2.tt

When adding a course reserve with a barcode that already exists, the
title, breadcrumbs, and legend of the form all specify that the user is
editing, and not adding, the book.

Test plan:
Same as comment 1

Signed-off-by: Devinim <kohadevinim@devinim.com.tr>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Nick Clemens 2019-04-05 13:07:41 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-04-15 10:55:10 UTC
Pushed to 18.11.x for 18.11.05
Comment 11 Lucas Gass 2019-04-15 17:44:59 UTC
backported to 18.05.x for 18.05.12